<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: jikaka
| Site: http://www.rusfusion.ru
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."phone_address/infusion_db.php";

if (file_exists(INFUSIONS."phone_address/locale/".$settings['locale'].".php")) {
	include INFUSIONS."phone_address/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."phone_address/locale/English.php";
}

// Infusion general information
$inf_title = $locale['pa_001'];
$inf_description = $locale['pa_002'];
$inf_version = "1.0";
$inf_developer = "jikaka";
$inf_email = "jikaka7@gmail.com";
$inf_weburl = "http://www.rusfusion.ru";

$inf_folder = "phone_address";

$inf_newtable[1] = DB_PHONE_ADDRESS." (
    pa_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
    pa_code TEXT NOT NULL,
    pa_code2 TEXT NOT NULL,
    pa_phone TEXT NOT NULL,
    pa_phone2 TEXT NOT NULL,
    pa_email TEXT NOT NULL,
    pa_address TEXT NOT NULL,
    PRIMARY KEY (pa_id)
) ENGINE = MyISAM;";

$inf_insertdbrow[1] = DB_PHONE_ADDRESS." (pa_code, pa_code2, pa_phone, pa_phone2, pa_email, pa_address) VALUES('".$locale['pa_006']."','".$locale['pa_006']."','".$locale['pa_007']."','".$locale['pa_007']."','".$locale['pa_008']."','".$locale['pa_009']."')";
$inf_droptable[1] = DB_PHONE_ADDRESS;

$inf_adminpanel[1] = array(
	"title" => $locale['pa_001'],
	"image" => "phone_address.gif",
	"panel" => "infusion_admin.php",
	"rights" => "PA"
);

?>