<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2015 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion_admin.php
| Author: jikaka
| Site: http://www.rusfusion.ru
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";

if (!checkrights("PA") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

if (file_exists(INFUSIONS."phone_address/locale/".$settings['locale'].".php")) {
	include INFUSIONS."phone_address/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."phone_address/locale/English.php";
}

include INFUSIONS."phone_address/infusion_db.php";

$pa_code = "";
$pa_code2 = "";
$pa_phone = "";
$pa_phone2 = "";
$pa_email = "";
$pa_address = "";

if (isset($_GET['error']) && isnum($_GET['error']) && !isset($message)) {
	if ($_GET['error'] == 0) {
		$message = $locale['900'];
	} elseif ($_GET['error'] == 1) {
		$message = $locale['901'];
	}
	if (isset($message)) {
		echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; 
	}
}

$pa_settings = dbarray(dbquery("SELECT * FROM ".DB_PHONE_ADDRESS));
$error = 0;

if (isset($_POST['savesettings'])) {
	$result = dbquery("UPDATE ".DB_PHONE_ADDRESS." SET pa_code='".addslash(descript($_POST['pa_code']))."', pa_code2='".addslash(descript($_POST['pa_code2']))."', pa_phone='".addslash(descript($_POST['pa_phone']))."', pa_phone2='".addslash(descript($_POST['pa_phone2']))."', pa_email='".addslash(descript($_POST['pa_email']))."', pa_address='".addslash(descript($_POST['pa_address']))."'");
	if (!$result) { $error = 1; }
	redirect(FUSION_SELF.$aidlink."&error=".$error);
}
	
opentable($locale['pa_001']);
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='80%' class='center'>\n";
echo "<tr><td class='tbl' align='left' valign='top' width='150'>".$locale['pa_003']."</td>\n";
echo "<td class='tbl'><input type='text' name='pa_code' value='".stripslashes($pa_settings['pa_code'])."' maxlength='5' class='textbox' style='width:50px;' /> <input type='text' name='pa_phone' value='".stripslashes($pa_settings['pa_phone'])."' maxlength='50' class='textbox' style='width:180px;' />\n";
echo "</td></tr>\n";
echo "<tr><td class='tbl' align='left' valign='top' width='150'></td>\n";
echo "<td class='tbl'><input type='text' name='pa_code2' value='".stripslashes($pa_settings['pa_code2'])."' maxlength='5' class='textbox' style='width:50px;' /> <input type='text' name='pa_phone2' value='".stripslashes($pa_settings['pa_phone2'])."' maxlength='50' class='textbox' style='width:180px;' />\n";
echo "</td></tr>\n";
echo "<tr><td class='tbl' align='left' valign='top' width='150'>".$locale['pa_010']."</td>\n";
echo "<td class='tbl'><input type='text' name='pa_email' value='".stripslashes($pa_settings['pa_email'])."' maxlength='50' class='textbox' style='width:200px;' />\n";
echo "</td></tr>\n";
echo "<tr><td class='tbl' align='left' valign='top' width='150'>".$locale['pa_004']."</td>\n";
echo "<td class='tbl'><textarea rows='5' name='pa_address' class='textbox' style='width:250px'>".stripslashes($pa_settings['pa_address'])."</textarea>\n";
echo "</td></tr>\n";
echo "<td align='center' colspan='2' class='tbl'>\n";
echo "<input type='submit' name='savesettings' value='".$locale['pa_005']."' class='button' />\n";
echo "</td></tr>\n";
echo "</table>\n";
echo "</form>\n";

closetable();

require_once THEMES."templates/footer.php";
?>